# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-09-27 07:33
from __future__ import unicode_literals

import django.contrib.postgres.fields
from django.db import migrations, models
import tinymce.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('phone_code', models.CharField(blank=True, max_length=10, null=True)),
                ('country_code', models.CharField(blank=True, max_length=10, null=True)),
                ('country_code_iso3', models.CharField(blank=True, max_length=10, null=True)),
                ('is_active', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Countries',
            },
        ),
        migrations.CreateModel(
            name='EmailMessage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('from_email', models.CharField(default='nsitester1@gmail.com', max_length=255)),
                ('to_email', models.EmailField(max_length=255)),
                ('cc', django.contrib.postgres.fields.ArrayField(base_field=models.EmailField(max_length=255), blank=True, null=True, size=None)),
                ('subject', models.CharField(blank=True, max_length=200, null=True)),
                ('html_message', tinymce.models.HTMLField()),
                ('tries', models.PositiveSmallIntegerField(default=0)),
                ('error_detail', models.CharField(blank=True, max_length=255, null=True)),
                ('sent_status', models.SmallIntegerField(choices=[(1, 'Pending'), (2, 'In-Progress'), (3, 'Sent'), (4, 'Error')], default=1)),
                ('sent_date', models.DateTimeField(blank=True, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
            ],
        ),
    ]
